# Created by pyp2rpm-3.3.2
%global pypi_name mypy_extensions

Name:           python-%{pypi_name}
Version:        0.4.3
Release:        %mkrel 2
Summary:        Experimental type system extensions for programs checked with the mypy typechecker
Group:          Development/Python
License:        MIT
URL:            http://www.mypy-lang.org/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Mypy Extensions The "mypy_extensions" module defines experimental extensions to
the standard "typing" module that are supported by the mypy typechecker.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-mypy-extensions}

%description -n python3-%{pypi_name}
Mypy Extensions The "mypy_extensions" module defines experimental extensions to
the standard "typing" module that are supported by the mypy typechecker.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.4.3-2.mga8
+ Revision: 1541778
- Mageia 8 Mass Rebuild

* Wed Jan 01 2020 wally <wally> 0.4.3-1.mga8
+ Revision: 1475159
- new version 0.4.3

* Fri Sep 06 2019 wally <wally> 0.4.1-3.mga8
+ Revision: 1437929
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 0.4.1-2.mga7
+ Revision: 1351259
- Rebuild for Python 3.7

* Thu Nov 01 2018 kekepower <kekepower> 0.4.1-1.mga7
+ Revision: 1327538
- imported package python-mypy_extensions

